      function stud_qdf(t) ! bernd berg mar 16 2002.
c student peaked cumulative distribution function. 
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      common /parstud/ nf
      a=half*nf
      b=half
      x=(nf*one)/((nf*one)+t**2)
      if(t.eq.zero) stud_qdf=    half
      if(t.lt.zero) stud_qdf=    half*beta_i(x,a,b)
      if(t.gt.zero) stud_qdf=one-half*beta_i(x,a,b)
      if(stud_qdf.gt.half) stud_qdf=one-stud_qdf
      return
      end   
